Index: extensions/acl_wl/aw_tree.c
===================================================================
--- extensions/acl_wl/aw_tree.c	(revision 1354)
+++ extensions/acl_wl/aw_tree.c	(revision 1405)
@@ -340,5 +340,5 @@
 	struct split_name sn;
 	int lbl, found;
-	struct tree_item * ti;
+	struct tree_item * ti = NULL;
 	struct fd_list * senti, *li;
 	
Index: extensions/app_diameap/diameap_server.c
===================================================================
--- extensions/app_diameap/diameap_server.c	(revision 1151)
+++ extensions/app_diameap/diameap_server.c	(revision 1405)
@@ -3065,5 +3065,5 @@
 	struct diameap_state_machine * diameap_sm = NULL;
 	struct diameap_eap_interface eap_i;
-	struct msg *req, *ans;
+	struct msg *req, *ans = NULL;
 	boolean non_fatal_error = FALSE;
 
Index: extensions/app_radgw/rgw_clients.c
===================================================================
--- extensions/app_radgw/rgw_clients.c	(revision 1190)
+++ extensions/app_radgw/rgw_clients.c	(revision 1405)
@@ -549,5 +549,5 @@
 	int valid_nas_info = 0;
 	struct radius_attr_hdr *nas_ip = NULL, *nas_ip6 = NULL, *nas_id = NULL;
-	size_t nas_id_len;
+	size_t nas_id_len = 0;
 	char * oh_str = NULL; size_t oh_strlen = 0; int oh_free = 0;
 	char * or_str = NULL; size_t or_strlen = 0;
Index: extensions/app_sip/multimediaauth.c
===================================================================
--- extensions/app_sip/multimediaauth.c	(revision 1088)
+++ extensions/app_sip/multimediaauth.c	(revision 1405)
@@ -51,5 +51,5 @@
 	int found_cnonce=0;
 	struct avp * tempavp=NULL,*sipAuthentication=NULL,*sipAuthenticate=NULL;
-	char * result;
+	char * result = NULL;
 	char password[51];
 	int idx=0, number_of_auth_items=0,i=0, ret=0;
Index: extensions/dbg_monitor/dbg_monitor.c
===================================================================
--- extensions/dbg_monitor/dbg_monitor.c	(revision 1220)
+++ extensions/dbg_monitor/dbg_monitor.c	(revision 1405)
@@ -76,5 +76,7 @@
 static void * mn_thr(void * arg)
 {
+#ifdef DEBUG
 	int i = 0;
+#endif
 	fd_log_threadname("Monitor thread");
 	char * buf = NULL;
Index: libfdcore/hooks.c
===================================================================
--- libfdcore/hooks.c	(revision 1329)
+++ libfdcore/hooks.c	(revision 1405)
@@ -333,5 +333,7 @@
 		switch (type) {
 			case HOOK_DATA_RECEIVED: {
+#ifdef DEBUG
 				struct fd_cnx_rcvdata *rcv_data = other;
+#endif
 				LOG_A("RCV: %zd bytes", rcv_data->length);
 				break;
Index: libfdcore/p_ce.c
===================================================================
--- libfdcore/p_ce.c	(revision 1396)
+++ libfdcore/p_ce.c	(revision 1405)
@@ -705,5 +705,5 @@
 {
 	uint32_t rc = 0;
-	int st;
+	int st = STATE_NEW;
 	struct fd_pei pei;
 	
Index: libfdcore/sctp3436.c
===================================================================
--- libfdcore/sctp3436.c	(revision 1344)
+++ libfdcore/sctp3436.c	(revision 1405)
@@ -138,5 +138,5 @@
 {
 	struct sctp3436_ctx * ctx = arg;
-	struct cnxctx 	 *cnx;
+	struct cnxctx 	 *cnx = NULL;
 
 	TRACE_ENTRY("%p", arg);
Index: libfdproto/dictionary_functions.c
===================================================================
--- libfdproto/dictionary_functions.c	(revision 1300)
+++ libfdproto/dictionary_functions.c	(revision 1405)
@@ -288,5 +288,5 @@
 int fd_dictfct_Time_encode(void * data, union avp_value * avp_value)
 {
-	char * buf;
+	char * buf = NULL;
 	size_t len;
 	
Index: libfdproto/fifo.c
===================================================================
--- libfdproto/fifo.c	(revision 1393)
+++ libfdproto/fifo.c	(revision 1405)
@@ -171,5 +171,7 @@
 {
 	struct fifo * q;
+#ifdef DEBUG
 	int loops = 0;
+#endif
 
 	TRACE_ENTRY( "%p", queue );
@@ -226,5 +228,7 @@
 int fd_fifo_move ( struct fifo * old, struct fifo * new, struct fifo ** loc_update )
 {
+#ifdef DEBUG
 	int loops = 0;
+#endif
 
 	TRACE_ENTRY("%p %p %p", old, new, loc_update);
@@ -417,4 +421,7 @@
 			queue->thrs_push-- ;
 
+#ifndef DEBUG
+			(void)ret;
+#endif
 			ASSERT( ret == 0 );
 		}
Index: libfdproto/messages.c
===================================================================
--- libfdproto/messages.c	(revision 1327)
+++ libfdproto/messages.c	(revision 1405)
@@ -2285,5 +2285,7 @@
 	if (msg->msg_model != NULL) {
 		/* Check if this model is still valid for the message data */
+#ifdef DEBUG
 		enum dict_object_type 	 dicttype;
+#endif
 		struct dict_cmd_data     data;
 		ASSERT(((fd_dict_gettype(msg->msg_model, &dicttype) == 0) && (dicttype == DICT_COMMAND)));
